Aug 24

Smokeping on Nginx

Steps I took to configure smokeping on nginx (debian whezy):

1. install fcgiwrap

apt-get install fcgiwrap
cp /usr/share/doc/fcgiwrap/examples/nginx.conf /etc/nginx/fcgiwrap.conf

2. modify the host you want (or the default host) to suport cgi scripts

#fast cgi support
include /etc/nginx/fcgiwrap.conf;
location ~ \.cgi$
{
fastcgi_intercept_errors on;
include fastcgi_params;
fastcgi_param SCRIPT_FILENAME $document_root$fastcgi_script_name;
fastcgi_pass unix:/var/run/fcgiwrap.socket;
}

3.  create links from smokeping to your www folder:

ln -s /usr/share/smokeping/www  /var/www/smokeping
ln -s /usr/lib/cgi-bin/smokeping.cgi /usr/share/smokeping/www/smokeping.cgi

4. add the alias for smokeping:

location /smokeping/ {
index smokeping.cgi;
gzip off;
}

 

 

 

 

 

May 05

Phison MPALL – 0x0027 IDBLK file Version check error

If, when using Phison’s production tool (MPALL) you encounter the following error:

IDBLK file Version check error 0x0027

this is what you have to do:

1. check your IDBLK_TIMING.dll’s version

 1

2. add your version to your configuration

2.a manually: add a “[Customize Info]” section (if you don’t already have it) and on a new line: IDBlkLibrary_Version=X.X.X.X

2a

2.b using the configuration tool

i. choose advanced setting

2b1

ii. go to “other setting” and add “[Customize Info] IDBlkLibrary_Version=1.2.16.0″ to “Special setting”

2b2

Update: Sergio Silveira recomends using a new MPALL file: Phison MPALL v3.63.0C-DL17.rar (see comment)

May 05

TMPGEnc XPress – “Cannot find the class”

Every since upgrading TMPGEnc on my computers (Windows 7 Pro x64)  to TMPGEnc XPress v4.7.8.309 I keep getting the following error on some of then:

Cannot find the class.

Error Code 0x8004800B

The solution found on the Internet: install to a folder without “x86″; instead of installing in “C:\Program Files (x86)\Pegasys Inc\TMPGEnc 4.0 XPress” install to something like “C:\Pegasys Inc\TMPGEnc 4.0 XPress”. Only that this solution is for a older problem, rezolved since 4.4.x.

The real solution (so far): uninstall TMPGEnc XPress v4.7.8.309 and install TMPGEnc XPress v4.7.7.307 instead. No more errors.